Bug 164621 - firefox exits silently if ~/.mozilla not accessible
firefox exits silently if ~/.mozilla not accessible
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2005-07-29 09:20 EDT by Chester Hosey
Modified: 2009-10-15 11:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-15 11:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 522477 None None None Never

  None (edit)
Description Chester Hosey 2005-07-29 09:20:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Firefox silently fails to start if ~/.mozilla is owned by another user and can not be accessed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. chown root.root ~/.mozilla
2. chmod 700 ~/.mozilla
3. firefox

Actual Results:  Silent failure.

Expected Results:  An error or warning message would note the lack of access to ~/.mozilla.

If possible, Firefox should execute without access to ~/.mozilla without features like on-disk caching after displaying a warning message. If not, an error should explain why Firefox exited.

Additional info:
Comment 1 Martin Stransky 2007-04-13 10:38:56 EDT
I'll check it.
Comment 2 Matěj Cepl 2008-02-08 15:43:06 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 3 Matěj Cepl 2008-03-13 12:52:05 EDT
(In reply to comment #1)
> I'll check it.

Any results?
Comment 4 Matěj Cepl 2009-10-15 11:00:25 EDT
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=522477) and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.